Subject: Re: [netatalk-admins] User account & Apps from same server?

From: Mario Klebsch DG1AM <[email-masked]>
Date: Mon, 7 Jul 1997 14:39:14 +0200

Hi!

>> I do not exactly understand your situation. Do you want to mount two
>> different volumes on the same server using different user names and
>> passwords?
>> 
>
>Yup, that's exactly what I want to do.

[this is a public reply after a private question]

This is not possible with netatalk, as you like to have it. The client
reuses the session with the afp server for each of its
volumes. However (I never tried this, it is just an idea), if the
appletalk client thinks, that it it talking to two different servers,
it should be possible. I would try to register the server under a
different name. Then it would appear twice in the chooser. But I don't
know, wether the client will notice that it really is the same server
and use the same asp session, ow wether it will start a new asp
session with the server.

Registering twice probably can be done by using nbprgstr to register
the afp server using a different name or by starting a second afp
server using a different name (and probably different configuration).

73, Mario
-- 
Mario Klebsch, DG1AM, [email-masked]		+49 531 / 391 - 7457
Institut fuer Robotik und Prozessinformatik der TU Braunschweig
Hamburger Strasse 267, 38114 Braunschweig, Germany

---

From: Sak Wathanasin <[email-masked]>
Date: Mon, 7 Jul 1997 16:02:43 +0100

In reply to Mario Klebsch DG1AM's message of the 07/07/97 at 14:39 +0200,

> reuses the session with the afp server for each of its

I think the limitation is not with netatalk but the AppleShare client on the
Mac. It works this way with any AFP server, netatalk or not... The way I get
round this is to put create a group for the common volume and add the appr user
ids to that group, then give everyone permission to mount the common volume
(directory). This is easily done using the AppleVoulmes.systema nd
AppleVolumes.default mechnism discussed in another thread.

Sak Wathanasin
Network Analysis Limited
178 Wainbody Ave South, Coventry CV3 6BX, UK

Internet: [email-masked]
uucp:     ...!britain.eu.net!nan!sw
Phone: (+44) 1203 419996                    Fax: (+44) 1203 690690